//人机校验

import styles from './Security.less';
import { useEffect, Fragment } from 'react';

let timer = null


export default function (props) {

  useEffect(() => {
    init()
    return () => {
      if (timer) {
        clearTimeout(timer)
      }
    }
  }, [])

  const init = () => {
    var ic = new smartCaptcha({
      renderTo: '#sc',
      width: 300,
      height: 50,
      default_txt: "点击按钮开始智能验证",
      success_txt: "验证成功",
      fail_txt: "验证失败，请在此点击按钮刷新",
      scaning_txt: "智能检测中",
      success: function (data) {
        // console.log('data', data)
        // console.log('token', window.NVC_Opt.token)
        // console.log('sessionID', data.sessionId);
        // console.log('sig', data.sig);
        // console.log('scene', window.NVC_Opt.scene)
        const result = {
          token: window.NVC_Opt.token,
          sessionId: data.sessionId,
          sig: data.sig,
          scene: window.NVC_Opt.scene
        }
        console.log("校验结果", result)

        timer = setTimeout(() => {
          //关闭
          props.saveData(result)
          closeWindow()
        }, 1000);
      },
    });

    ic.init();

    //缩放
    const metaEl = document.getElementsByTagName('meta')['viewport']
    const match = metaEl.getAttribute('content').match(/initial\-scale=([\d\.]+)/);
    if (match) {
      const scale = parseFloat(match[1]);
      const dpr = parseInt(1 / scale);
      document.getElementById('sc').style.transform = `scale(${dpr})`
    }
  }

  const closeWindow = () => {
    console.log('关闭窗口')
    props.close()
  }

  return (
    <Fragment>
      <div className="mask"></div>
      <div className={styles.security}>
        <div id="sc" style={{ marginLeft: 0, marginTop: 0 }}></div>
      </div>
      <img className={styles.close} src={require('@/assets/close.png')} onClick={closeWindow} />
    </Fragment>
  );
}
