import React, { Fragment } from 'react';
import styles from './Banner.less';
import { Button, Flex, Toast, Icon, Drawer, Modal } from 'antd-mobile'
import { getQueryString } from '@/utils/Url'
import QRCode from 'qrcode.react'
import drawCanvas from './drawCanvas'

interface IProps {

}

interface IState {
  [propsName: string]: any,
  name: string,
  loginSuccess: boolean
}


class Banner extends React.Component<IProps, IState> {
  showImageWrap: any

  constructor(props: any) {
    super(props)
    this.showImageWrap = {}
    this.state = {
      name: '',
      userId: getQueryString('u'),
      loginSuccess: false,
      inviteCode: getQueryString('i'),
    }
  }

  componentDidMount() {
    this.setState({ loading: true })
    const container = document.getElementById('canvas')
    const qcodeCanvas: any = document.getElementById('qcode')
    let qcodeImg
    if (qcodeCanvas) {
      qcodeImg = qcodeCanvas.toDataURL('image/png')
    }
    const { inviteCode } = this.state
    drawCanvas.drawImage({ container, qcodeImg, inviteCode }, (bloburl: any) => {
      // this.bloburl = bloburl
      const oImage = document.createElement('img')
      oImage.src = bloburl
      oImage.onload = () => {
        this.showImageWrap.appendChild(oImage)
        this.setState({ loading: false }, () => {
          setTimeout(() => {
            // window.alert('长按海报保存到相册')
            Modal.alert('长按海报保存到相册', '', [
              { text: '确定', onPress: () => console.log('cancel') }
            ])
          }, 500);
        })
      }
    })
  }

  testLog = () => {
    console.log(this.showImageWrap.clientHeight)
  }

  render() {
    const { userId, inviteCode, loding } = this.state
    return (
      <div hidden={loding} className={styles.banner}>
        <div className={styles['wrap']}>
          <div ref={node => this.showImageWrap = node} className={styles['img-show']} />
          {/* <div className={styles.notice} onClick={this.testLog} style={{ bottom: 0 }}>长按图片保存</div> */}
        </div>


        <div id='canvas' className={styles['canvas-wrap']} />

        <div className={styles['qcode-wrap']}>
          <QRCode
            value={`http://${location.host}/?u=${userId}&i=${inviteCode}`}
            id='qcode'
            size={286}
            renderAs='canvas'
            imageSettings={{
              src: 'http://sp.qn.paqukeji.com/images/xinya_logo_white_bg.png',
              height: 80,
              width: 80
            }}
          />
        </div>
      </div>
    )
  }
}

export default Banner
