import React from 'react';
import styles from './index.less';
import UserAgent from '@/utils/UserAgent'
import { _appDownloadUrl } from '@/utils/base'

interface IProps {

}

interface IState {
  [propsName: string]: any,
  name: string,
  loginSuccess: boolean
}


class Success extends React.Component<IProps, IState> {
  timer: any
  timer2: any

  constructor(props: any) {
    super(props)
    this.state = {
      name: '',
      loginSuccess: false
    }
  }

  componentDidMount() {
    setTimeout(() => {
      window.document.title = '注册/登录成功'
    }, 200);
  }

  componentWillUnmount() {
    clearTimeout(this.timer)
    clearTimeout(this.timer2)
  }

  onDownload = () => {

    if (this.state.showTrust) {
      window.location.href = 'https://starbuds.paqukeji.com/embedded.mobileprovision'
    } else {
      // 判断是否在微信中
      if (UserAgent.wechat() || UserAgent.QQ()) {
        // 微信中需要右上角浏览器打开
        this.setState({ showMask: true })
      } else {
        if (UserAgent.iOS()) {
          //统计下载
          const script = document.createElement('script')
          script.src = _appDownloadUrl
          script.type = 'text/javascript'
          document.body.appendChild(script)

          this.timer = setTimeout(() => {
            alert('您可以切换到桌面查看安装进度')
            this.setState({ showTrust: true })
          }, 2000)
        } else {
          window.location.href = _appDownloadUrl
        }
      }
    }
  }

  render() {
    const { phone, code, seconds, loginSuccess, showMask } = this.state
    return (
      <div className={styles.home}>
        <img className={styles.bg} src={require('@/assets/bg.png')} />
        <div className={styles['content-success']}>
          <div className={styles.mask} style={{ display: showMask ? '' : 'none' }} onClick={() => this.setState({ showMask: false })}>
            <img src={require('@/assets/wx_tips_android.png')} />
          </div>
          <div className={styles.title}>您已成功登录</div>
          <div className={styles.message}>请点击下方按钮，立即下载APP</div>
          <div className={styles['button-download']} onClick={this.onDownload.bind(this)}>
            {this.state.showTrust ? '安装证书' : '立即下载'}
          </div>
        </div>
      </div>
    )
  }
}

export default Success
