import { stringify } from 'qs';
import request from '@/utils/request';

//获取国家手机区号
export async function getCountryPhoneCode(params?: any) {
  return request(`/api-common/v1/data/getCountryPhoneCode?${stringify(params)}`);
}

//发送短信验证码
export async function sendSmsCode(params?: any) {
  return request('/api-common/v1/login/sendSmsCode', {
    method: 'POST',
    body: params,
  });
}

//获取邀请码
export async function getInviteQrCode(params?: any) {
  return request(`/api-app/v1/user/getInviteQrCode?${stringify(params)}`);
}

//获取用户资料
export async function getProfile(params?: any) {
  return request(`/api-app/v1/user/getProfile?${stringify(params)}`);
}

//获取邀请统计
export async function getInviteStat(params?: any) {
  return request(`/api-app/v1/stat/getInviteStat?${stringify(params)}`);
}

//获取邀请明细
export async function getInviteDetail(params?: any) {
  return request(`/api-app/v1/stat/getInviteDetail?${stringify(params)}`);
}

//获取最新版本应用
export async function getAppLatest(params?: any) {
  return request(`/api-common/v1/data/getAppLatest?${stringify(params)}`);
}


//短信验证码登录
export async function bySmsCode(params?: any) {
  return request('/api-common/v1/login/bySmsCode', {
    method: 'POST',
    body: params,
  });
}